Bug 463924 - remove abiword dependency on perl
Summary: remove abiword dependency on perl
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target FedoraOLPCDelta FedoraMini, Mobility
TreeView+ depends on / blocked
 
Reported: 2008-09-25 14:09 UTC by Peter Robinson
Modified: 2008-11-26 06:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 06:23:21 UTC


Attachments (Terms of Use)
spec patch to remove perl script (996 bytes, application/octet-stream)
2008-11-20 11:01 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2008-09-25 14:09:19 UTC
Abiword has a single perl script called abw2html.pl which pulls in perl which is a pretty large for a single file. Could the file be either removed or moved into a subpackage so the perl dependency can either be removed or become optional.

/usr/share/abiword-2.6/scripts/abw2html.pl

This would also allow the OLPC build to drop the new of having a separate branch for their needs. In their package they just remove the scripts dir as can be seen in these lines in their spec.

# nuke whacky scripts
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/scripts

Comment 1 Marc Maurer 2008-10-04 19:35:37 UTC
Dropped from upstream. Will be in 2.6.5.

Comment 2 Peter Robinson 2008-10-09 10:49:29 UTC
What is the timeframe for 2.6.5? Will it be out in time for F-10 final?

Comment 3 Marc Maurer 2008-10-14 17:19:22 UTC
I don't think so. Will push a new build of 2.6.5 soonish with a patch to drop the perl dep

Comment 4 Peter Robinson 2008-10-25 14:25:31 UTC
ETA? Will either the patch or a new version be done soon so we can get this in for F-10 RC. Anything I can assist with?

Comment 5 Peter Robinson 2008-11-18 00:07:34 UTC
Marc, any chance I can get the perl fix in so I can push the fix to OLPC now that its upgraded to Fedora 10 so I can get rid of the perl dependency?

Comment 6 Peter Robinson 2008-11-20 11:01:24 UTC
Created attachment 324163 [details]
spec patch to remove perl script

The attached spec file patch is enough to fix the perl dependency issue for 2.6.4. If your OK with it I can apply and push the build if you don't have the time.

Comment 7 Fedora Update System 2008-11-23 20:07:11 UTC
abiword-2.6.4-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/abiword-2.6.4-9.fc10

Comment 8 Bug Zapper 2008-11-26 03:13:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Update System 2008-11-26 06:23:19 UTC
abiword-2.6.4-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.